package org.dromara.ygpassport.service;

import org.dromara.ygpassport.domain.Volunteering;
import org.dromara.ygpassport.domain.vo.VolunteeringVo;
import org.dromara.ygpassport.domain.bo.VolunteeringBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 志愿服务Service接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface IVolunteeringService {

    /**
     * 查询志愿服务
     */
    VolunteeringVo queryById(Long id);

    /**
     * 查询志愿服务列表
     */
    TableDataInfo<VolunteeringVo> queryPageList(VolunteeringBo bo, PageQuery pageQuery);

    /**
     * 查询志愿服务列表
     */
    List<VolunteeringVo> queryList(VolunteeringBo bo);

    /**
     * 根据学号查询志愿服务列表
     */
    List<VolunteeringVo> queryListByStuNo(String stuNo);

    /**
     * 新增志愿服务
     */
    Boolean insertByBo(VolunteeringBo bo);

    /**
     * 修改志愿服务
     */
    Boolean updateByBo(VolunteeringBo bo);

    /**
     * 校验并批量删除志愿服务信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
